I = .5;
N = 5;

m = .21;
w = .019;
h = .020;
l = .240;
J = 1/12*m*(w^2+l^2);
DT = .001;

str = num2str(1000*I);
load(['data_' str 'mA'],'data');
y = processData(data,N);
y(3,:) = J*y(3,:);

plot(y(2,:),y(3,:))
xlabel('\omega (rad/s)'); ylabel('\tau (Nm)')

off1 = 20;
off2 = 0;
y1 = y(:,1+off1 : floor(size(y,2)/2)-off2);
y2 = y(:,floor(size(y,2)/2)+off1 : end-off2);

p1 = [-I*ones(size(y1,2),1) -y1(2,:)' -sign(y1(2,:)')]\(y1(3,:)');
p2 = [I*ones(size(y2,2),1) -y2(2,:)' -sign(y2(2,:)')]\(y2(3,:)');
p = (p1+p2)/2;

plotx = floor(min(y(2,:))):.01:ceil(max(y(2,:)));
ploty1 = [-I*ones(size(plotx,2),1) -plotx' -sign(plotx')]*p;
ploty2 = [I*ones(size(plotx,2),1) -plotx' -sign(plotx')]*p;

plot(y(2,:),y(3,:),'.',plotx,ploty1,plotx,ploty2)
xlabel('\omega (rad/s)'); ylabel('\tau (Nm)')

disp(['k_m = ' num2str(p(1)) ', u_d = ' num2str(p(2)) ', u_s = ' num2str(p(3))])

% 210g
% w = 19mm, h = 20mm, l = 240mm