function y = processData(data,N)

DT = .001;
T = 3;
t = DT:DT:T;
f = 1;

dataF = zeros(size(data));
for i = N+1:numel(data)-N-1
    dataF(i) = mean(data(i-N:i+N));
end

y = zeros(3,1/(f*DT));
y(1,:) = dataF((2*T*f-3)/(2*f*DT)+1:(2*T*f-1)/(2*f*DT));

vel = diff(dataF/DT);
velF = zeros(size(vel));
for i = N+1:numel(vel)-N-1
    velF(i) = mean(vel(i-N:i+N));
end
y(2,:) = velF((2*T*f-3)/(2*f*DT)+1:(2*T*f-1)/(2*f*DT));

accel = diff(velF/DT);
y(3,:) = accel((2*T*f-3)/(2*f*DT):(2*T*f-1)/(2*f*DT)-1);

% plot(dataF(3*f/(2*DT)+1:5*f/(2*DT)))

% for i = 3*f/(2*DT)-1 : 5*f/(2*DT)+1
%     dataS(j) = mean(data(round(i-N/2):round(i+N/2-1)));
% end
% j = 1;
% for i = 1:numel(dataS)
%     velS(j) = mean(dataS(round(i-N/2):round(i+N/2-1)));
%     j = j+1;
% end
% 
% theta = dataS(2:end-1);
% omega = diff(dataS(1:end-1)/DT);
% alpha = diff(omega/DT)
% t2 = t2(2:end-1);

% figure(1)
% plot(t2,dataS(2:end-1))
% xlabel('Time (s)'); ylabel('\theta (rad)')
% 
% figure(2)
% plot(t2,diff(dataS(1:end-1)/DT))
% xlabel('Time (s)'); ylabel('\omega (rad/s)')
% 
% figure(3)
% plot(t2,diff(dataS/DT^2,2))
% xlabel('Time (s)'); ylabel('\alpha (rad/s^2)')
% 
% figure(4)
% plot(diff(dataS(1:end-1)/DT),diff(dataS/DT^2,2))
% xlabel('\omega (rad/s)'); ylabel('\alpha (rad/s^2)')

